Inventory

The Inventory API allows you to search and retrieve cloud assets from your Firefly inventory.

Search Inventory

Retrieve inventory hits

post
Authorizations
AuthorizationstringRequired

JWT authentication token

Query parameters
includeAssetConfigurationbooleanOptional

Include asset configuration

Default: false
Body
sizeintegerOptional

Number of results to return per page (max 10000)

Default: 50
sourcestring[]Optional

List of fields to include in the response

Responses
chevron-right
200

Successful response

application/json
post
/api/inventory

Get Asset

Get an asset by ID

get
Authorizations
AuthorizationstringRequired

JWT authentication token

Path parameters
assetIdstringRequired
Responses
chevron-right
200

Successful response

application/json
integrationIdstringOptional

The integration ID

providerstringOptional

The provider of the asset

providerIdstringOptional

The provider ID

assetIdstringOptional

The asset ID

resourceIdstringOptional

The resource ID

isExcludedbooleanOptional

Whether the asset is excluded (matched by an exclusion id)

lastConfigurationChangeTimestringOptional

The time the asset configuration was last changed

updatedAtstringOptional

The time the asset was last updated

matchingExclusionRuleIdsstring[]Optional

The exclusion rule IDs that match the asset

statestring · enumOptionalPossible values:
isChildbooleanOptional

Whether the asset is a child resource

frnstringOptional

The FRN of the asset

providerGroupIdstringOptional

The provider group ID (if applicable)

firstSeenstringOptional

The time the asset was first seen

pendingTostringOptional

The pending state of the asset

lastAssetStateChangestringOptional

The time the asset's state was last changed

subProviderstringOptional

The sub-provider of the asset

assetTypestringOptional

The type of the asset

violationPolicyIdsstring[]Optional

List of violating governance policy IDs

statusstringOptional
stateUpdatedTimestringOptional

The time the asset's state was last updated

stackIdsarrayOptional
namestringOptional
locationstringOptional
creationDateintegerOptional
deleteCommandstringOptional
consoleURLstringOptional
tagsListstring[]Optional

A tag

arnstringOptional
taggingStatusstring · enumOptionalPossible values:
pendingExpirationstringOptional
servicestringOptional
providerSubTypestringOptional
creationTimestringOptional
idstringOptional
revisionCountintegerOptional
get
/api/inventory/{assetId}

Get Providers

Get all supported providers

get

Returns a list of all supported cloud and SaaS providers

Authorizations
AuthorizationstringRequired

JWT authentication token

Responses
chevron-right
200

Successful response

application/json
string[]OptionalExample: ["aws","gcp","azurerm","oci","k8s","akamai","newrelic","datadog"]
get
/api/inventory/providers

Get IaC Coverage

Get IaC coverage statistics

post

Returns IaC coverage statistics for the account, optionally filtered by integrations

Authorizations
AuthorizationstringRequired

JWT authentication token

Body
integrationsstring[]Optional

List of integration IDs to filter by

Responses
chevron-right
200

Successful response

application/json
post
/api/inventory/iac-coverage

Last updated

Was this helpful?